Package com.sas.lsaf.content.repository

## Enum VersionDeleteInfo.DeleteStatus

- java.lang.Object
- - java.lang.Enum<VersionDeleteInfo.DeleteStatus>
  - - com.sas.lsaf.content.repository.VersionDeleteInfo.DeleteStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VersionDeleteInfo.DeleteStatus>`
  Enclosing class:
    VersionDeleteInfo

      public static enum VersionDeleteInfo.DeleteStatus
      extends java.lang.Enum<VersionDeleteInfo.DeleteStatus>

  The status of a deleted version of a file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELETED` | The version was permanently deleted.
    `NOT_DELETED_LAST_VERSION` | The version was not deleted because it is the last remaining version.
    `NOT_DELETED_VERSION_NOT_FOUND` | The version was not deleted because was not be found.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VersionDeleteInfo.DeleteStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VersionDeleteInfo.DeleteStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELETED

          public static final VersionDeleteInfo.DeleteStatus DELETED

      The version was permanently deleted.

    - #### NOT_DELETED_VERSION_NOT_FOUND

          public static final VersionDeleteInfo.DeleteStatus NOT_DELETED_VERSION_NOT_FOUND

      The version was not deleted because was not be found.

    - #### NOT_DELETED_LAST_VERSION

          public static final VersionDeleteInfo.DeleteStatus NOT_DELETED_LAST_VERSION

      The version was not deleted because it is the last remaining version.

  - ### Method Detail

    - #### values

          public static VersionDeleteInfo.DeleteStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionDeleteInfo.DeleteStatus c : VersionDeleteInfo.DeleteStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionDeleteInfo.DeleteStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null